For the complete documentation index, see llms.txt. This page is also available as Markdown.

Export / Import

Exporting Custom Entities

post

Exports custom entities with corresponding schemas.

Required scopes
This endpoint requires the following scopes:
  • : Required for managing schemas.
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
tenantstring · min: 3 · max: 16Required

Your Emporix tenant name.

Note: Always write the tenant name in lowercase.

Pattern: ^[a-z][a-z0-9]+$
Bodystring[]
string[]Optional
Responses
200

The request was successful.

application/json
datastring · byteRequired

Base64 representation of custom entities with corresponding schemas.

exportedAtstringOptional

Date and time when the object was created, compliant with the ISO 8601 standard. For example: 2022-03-31T09:52:15.423Z

post/schema/{tenant}/custom-entities/export
POST /schema/{tenant}/custom-entities/export HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 39

[
  "CUSTOM_PRODUCT",
  "MANUFACTURER",
  "CAR"
]
{
  "exportedAt": "2026-04-29T07:05:18.857291343Z",
  "data": "MQUlOVF9BR0VOVF9DT05URVhUIl19XX1dfQ=="
}

Importing Custom Entities

post

Imports custom entities with corresponding schemas.

Note: If given Custom Entity Type or Schema already exists then it will be created with _COPY suffix. For example, CUSTOM_PRODUCT will be created as CUSTOM_PRODUCT_COPY.

Required scopes
This endpoint requires the following scopes:
  • : Required for managing schemas.
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
tenantstring · min: 3 · max: 16Required

Your Emporix tenant name.

Note: Always write the tenant name in lowercase.

Pattern: ^[a-z][a-z0-9]+$
Body
datastring · byteRequired

Base64 representation of custom entities with corresponding schemas.

Responses
204

No content

No content

post/schema/{tenant}/custom-entities/import
POST /schema/{tenant}/custom-entities/import HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 48

{
  "data": "MQUlOVF9BR0VOVF9DT05URVhUIl19XX1dfQ=="
}

No content

Last updated

Was this helpful?